## golang-github-container-orchestrated-devices-container-device-interface 0.5.2

=== Makefile ===
GO_CMD   := go
GO_BUILD := $(GO_CMD) build
GO_TEST  := $(GO_CMD) test -race -v -cover

GO_LINT  := golint -set_exit_status
GO_FMT   := gofmt
GO_VET   := $(GO_CMD) vet

CDI_PKG  := $(shell grep ^module go.mod | sed 's/^module *//g')

BINARIES := bin/cdi bin/validate

ifneq ($(V),1)
  Q := @
endif


#
# top-level targets
#

all: build

build: $(BINARIES)

clean: clean-binaries clean-schema

test: test-gopkgs test-schema

#
# validation targets
#

pre-pr-checks pr-checks: test fmt lint vet

fmt format:
	$(Q)$(GO_FMT) -s -d -w -e .

lint:
	$(Q)$(GO_LINT) -set_exit_status ./...
vet:
	$(Q)$(GO_VET) ./...

#
# build targets
#

bin/%:
	$(Q)echo "Building $@..."; \
	$(GO_BUILD) -o $@ ./$(subst bin/,cmd/,$@)

#
# cleanup targets
#

# clean up binaries
clean-binaries:
	$(Q) rm -f $(BINARIES)

# clean up schema validator
clean-schema:
	$(Q)rm -f schema/validate

#
# test targets
#

# tests for go packages
test-gopkgs:
	$(Q)$(GO_TEST) ./...

# tests for CDI Spec JSON schema
test-schema: bin/validate
	$(Q)echo "Building in schema..."; \
	$(MAKE) -C schema test


#
# dependencies
#

bin/validate: cmd/validate/validate.go $(wildcard schema/*.json)

# quasi-automatic dependency for bin/cdi
bin/cdi: $(wildcard cmd/cdi/*.go cmd/cdi/cmd/*.go) $(shell \
            for dir in \
                $$($(GO_CMD) list -f '{{ join .Deps "\n"}}' ./cmd/cdi/... | \
                      grep $(CDI_PKG)/pkg/ | \
                      sed 's:$(CDI_PKG):.:g'); do \
                find $$dir -name \*.go; \
            done | sort | uniq)

=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.5.2-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Oct 2022 02:45:19 +0800

golang-github-container-orchestrated-devices-container-device-interface (0.5.2-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Oct 2022 01:23:56 +0800

=== debian/control ===
Source: golang-github-container-orchestrated-devices-container-device-interface
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-golang-x-sys-dev,
               golang-k8s-sigs-yaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
Homepage: https://github.com/container-orchestrated-devices/container-device-interface
XS-Go-Import-Path: github.com/container-orchestrated-devices/container-device-interface

Package: golang-github-container-orchestrated-devices-container-device-interface-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fsnotify-fsnotify-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-sys-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: container device interface
 CDI (Container Device Interface), is a specification for container runtimes,
 to support third party devices.
 .
 CDI concerns itself only with enabling container to be device aware.
 Areas like resource management are explicitly left out of CDI (and is
 expected to be handled by the orchestrator). Because of this focus, the
 CDI specification is simple to implement and allows great flexibility to
 runtimes and orchestrators.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd
export DH_GOLANG_INSTALL_EXTRA := schema/schema.json schema/defs.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/container-orchestrated-devices/container-device-interface \
  refs/tags/v?@ANY_VERSION@ debian

## golang-github-container-orchestrated-devices-container-device-interface 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,14 @@
+# Copyright © The CDI Authors
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#     http://www.apache.org/licenses/LICENSE-2.0
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 GO_CMD   := go
 GO_BUILD := $(GO_CMD) build
 GO_TEST  := $(GO_CMD) test -race -v -cover
@@ -8,7 +19,8 @@
 
 CDI_PKG  := $(shell grep ^module go.mod | sed 's/^module *//g')
 
-BINARIES := bin/cdi bin/validate
+CMDS := $(patsubst ./cmd/%/,%,$(sort $(dir $(wildcard ./cmd/*/))))
+BINARIES := $(patsubst %,bin/%,$(CMDS))
 
 ifneq ($(V),1)
   Q := @
@@ -45,9 +57,37 @@
 # build targets
 #
 
-bin/%:
-	$(Q)echo "Building $@..."; \
-	$(GO_BUILD) -o $@ ./$(subst bin/,cmd/,$@)
+$(BINARIES): bin/%:
+	$(Q)echo "Building $@..."
+	$(Q)(cd cmd/$(*) && $(GO_BUILD) -o $(abspath $@) .)
+
+#
+# go module tidy and verify targets
+#
+.PHONY: mod-tidy $(CMD_MOD_TIDY_TARGETS) mod-tidy-root
+.PHONY: mod-verify $(CMD_MOD_VERIFY_TARGETS) mod-verify-root
+
+CMD_MOD_TIDY_TARGETS := mod-tidy-cdi mod-tidy-validate
+CMD_MOD_VERIFY_TARGETS := mod-verify-cdi mod-verify-validate
+
+mod-tidy-root:
+	$(Q)echo "Running $@..."; \
+	$(GO_CMD) mod tidy
+
+$(CMD_MOD_TIDY_TARGETS): mod-tidy-%: mod-tidy-root
+	$(Q)echo "Running $@... in $(abspath ./cmd/$(*))"; \
+	(cd $(abspath ./cmd/$(*)) && $(GO_CMD) mod tidy)
+
+mod-verify-root: mod-tidy-root
+	$(Q)echo "Running $@..."; \
+	$(GO_CMD) mod verify
+
+$(CMD_MOD_VERIFY_TARGETS): mod-verify-%: mod-tidy-% mod-verify-root
+	$(Q)echo "Running $@... in $(abspath ./cmd/$(*))"; \
+	(cd $(abspath ./cmd/$(*)) && pwd && $(GO_CMD) mod verify)
+
+mod-verify: $(CMD_MOD_VERIFY_TARGETS)
+mod-tidy: $(CMD_MOD_TIDY_TARGETS)
 
 #
 # cleanup targets
@@ -79,13 +119,20 @@
 # dependencies
 #
 
-bin/validate: cmd/validate/validate.go $(wildcard schema/*.json)
+bin/validate: $(wildcard schema/*.json) $(wildcard cmd/validate/*.go cmd/validate/cmd/*.go) $(shell \
+            for dir in \
+                $$(cd ./cmd/validate; $(GO_CMD) list -f '{{ join .Deps "\n"}}' ./... | \
+                      grep $(CDI_PKG)/pkg/ | \
+                      sed 's:$(CDI_PKG):.:g'); do \
+                find $$dir -name \*.go; \
+            done | sort | uniq)
 
 # quasi-automatic dependency for bin/cdi
 bin/cdi: $(wildcard cmd/cdi/*.go cmd/cdi/cmd/*.go) $(shell \
             for dir in \
-                $$($(GO_CMD) list -f '{{ join .Deps "\n"}}' ./cmd/cdi/... | \
+                $$(cd ./cmd/cdi; $(GO_CMD) list -f '{{ join .Deps "\n"}}' ./... | \
                       grep $(CDI_PKG)/pkg/ | \
                       sed 's:$(CDI_PKG):.:g'); do \
                 find $$dir -name \*.go; \
             done | sort | uniq)
+

=== schema/Makefile ===
VALIDATE ?= ../bin/validate
SCHEMA ?= schema.json

test:
	@FMT_RED=$$(tput setaf 1); \
	FMT_BLUE=$$(tput setaf 12); \
	FMT_CLEAR=$$(tput sgr0); \
	echo "Running Good Tests"; \
	for FILE in $$(ls "testdata/good"); do \
		FILE_PATH="testdata/good/$${FILE}"; \
		if $(VALIDATE) --schema "$(SCHEMA)" "$${FILE_PATH}" > /dev/null ; then \
			printf '%s[OK]%s %s\n' "$${FMT_BLUE}" "$${FMT_CLEAR}" "$${FILE_PATH}"; \
		else \
			printf '%s[KO]%s %s\n' "$${FMT_RED}" "$${FMT_CLEAR}" "$${FILE_PATH}"; \
			exit 1; \
		fi \
	done; \
	echo "Running Bad Tests"; \
	for FILE in $$(ls "testdata/bad"); do \
		FILE_PATH="testdata/bad/$${FILE}"; \
		if $(VALIDATE) --schema "$(SCHEMA)" "$${FILE_PATH}" > /dev/null ; then \
			printf '%s[KO]%s %s\n' "$${FMT_RED}" "$${FMT_CLEAR}" "$${FILE_PATH}"; \
			exit 1; \
		else \
			printf '%s[OK]%s %s\n' "$${FMT_BLUE}" "$${FMT_CLEAR}" "$${FILE_PATH}"; \
		fi \
	done

=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 06:43:18 -0400

golang-github-container-orchestrated-devices-container-device-interface (0.6.1-1) experimental; urgency=medium

  * New upstream release
  * Team Upload.
  * Bump Standards-version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Sep 2023 08:51:18 -0400

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xeipuuv-gojsonschema-dev,
+               golang-golang-x-mod-dev,
                golang-golang-x-sys-dev,
                golang-k8s-sigs-yaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
 Homepage: https://github.com/container-orchestrated-devices/container-device-interface
@@ -36,6 +37,7 @@
          golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
          golang-github-xeipuuv-gojsonschema-dev,
+         golang-golang-x-mod-dev,
          golang-golang-x-sys-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends}

## golang-github-container-orchestrated-devices-container-device-interface 0.6.2

=== Makefile ===
--- 
+++ 
@@ -64,30 +64,22 @@
 #
 # go module tidy and verify targets
 #
-.PHONY: mod-tidy $(CMD_MOD_TIDY_TARGETS) mod-tidy-root
-.PHONY: mod-verify $(CMD_MOD_VERIFY_TARGETS) mod-verify-root
+.PHONY: mod-tidy
+.PHONY: mod-verify
 
-CMD_MOD_TIDY_TARGETS := mod-tidy-cdi mod-tidy-validate
-CMD_MOD_VERIFY_TARGETS := mod-verify-cdi mod-verify-validate
+mod-tidy:
+	$(Q)for mod in $$(find . -name go.mod); do \
+	    echo "Tidying $$mod..."; ( \
+	        cd $$(dirname $$mod) && go mod tidy \
+            ) || exit 1; \
+	done
 
-mod-tidy-root:
-	$(Q)echo "Running $@..."; \
-	$(GO_CMD) mod tidy
-
-$(CMD_MOD_TIDY_TARGETS): mod-tidy-%: mod-tidy-root
-	$(Q)echo "Running $@... in $(abspath ./cmd/$(*))"; \
-	(cd $(abspath ./cmd/$(*)) && $(GO_CMD) mod tidy)
-
-mod-verify-root: mod-tidy-root
-	$(Q)echo "Running $@..."; \
-	$(GO_CMD) mod verify
-
-$(CMD_MOD_VERIFY_TARGETS): mod-verify-%: mod-tidy-% mod-verify-root
-	$(Q)echo "Running $@... in $(abspath ./cmd/$(*))"; \
-	(cd $(abspath ./cmd/$(*)) && pwd && $(GO_CMD) mod verify)
-
-mod-verify: $(CMD_MOD_VERIFY_TARGETS)
-mod-tidy: $(CMD_MOD_TIDY_TARGETS)
+mod-verify:
+	$(Q)for mod in $$(find . -name go.mod); do \
+	    echo "Verifying $$mod..."; ( \
+	        cd $$(dirname $$mod) && go mod verify | sed 's/^/  /g' \
+	    ) || exit 1; \
+	done
 
 #
 # cleanup targets

=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 15:12:10 -0500

golang-github-container-orchestrated-devices-container-device-interface (0.6.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream Release
    - rename import to tags.cncf.io, will require changes to imports

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 23 Nov 2023 12:53:39 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
 Homepage: https://github.com/container-orchestrated-devices/container-device-interface
-XS-Go-Import-Path: github.com/container-orchestrated-devices/container-device-interface
+XS-Go-Import-Path: tags.cncf.io/container-device-interface
 
 Package: golang-github-container-orchestrated-devices-container-device-interface-dev
 Architecture: all

## golang-github-container-orchestrated-devices-container-device-interface 0.8.0

=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Add Conflicts/Replaces/Provides on golang-tags.cncf-container-device-interface-dev
    Closes: #1078454

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 17:49:08 -0400

golang-github-container-orchestrated-devices-container-device-interface (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused Build-Depends
  * Update homepage and other URL

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 30 Jul 2024 13:14:27 +0800

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,8 @@
                dh-sequence-golang,
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
-               golang-github-hashicorp-go-multierror-dev,
-               golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-specs-dev,
-               golang-github-pkg-errors-dev,
-               golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xeipuuv-gojsonschema-dev,
                golang-golang-x-mod-dev,
@@ -23,24 +19,22 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
-Homepage: https://github.com/container-orchestrated-devices/container-device-interface
+Homepage: https://github.com/cncf-tags/container-device-interface
 XS-Go-Import-Path: tags.cncf.io/container-device-interface
 
 Package: golang-github-container-orchestrated-devices-container-device-interface-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-fsnotify-fsnotify-dev,
-         golang-github-hashicorp-go-multierror-dev,
-         golang-github-opencontainers-runc-dev,
          golang-github-opencontainers-runtime-tools-dev,
          golang-github-opencontainers-specs-dev,
-         golang-github-pkg-errors-dev,
-         golang-github-spf13-cobra-dev,
          golang-github-xeipuuv-gojsonschema-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-sys-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends}
+Conflicts: golang-tags.cncf-container-device-interface-dev (<< 0.8.0-2)
+Replaces: golang-tags.cncf-container-device-interface-dev (<< 0.8.0-2)
 Description: container device interface
  CDI (Container Device Interface), is a specification for container runtimes,
  to support third party devices.
